Self-serve contractor payments

Self Serve List Contractor Payments

Lists the contractor's own payment history with filters, pagination and totals statistics.

POSThttps://api.toku.com/hris/self-serve-list-contractor-payments

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/self-serve-list-contractor-payments' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "status": "DRAFT",
  "dateFrom": "2026-01-01T00:00:00Z",
  "dateTo": "2026-01-01T00:00:00Z",
  "searchQuery": "string",
  "page": 1,
  "pageSize": 20
}'
200 response
{}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

statusstring

Available options: DRAFT, PROPOSED, EXECUTED, FAILED, CANCELLED

dateFromstring<date-time>
dateTostring<date-time>
searchQuerystring
pageintegerrequired

Allowed: at least 1

Default: 1

pageSizeintegerrequired

Allowed: 1 to 100

Default: 20

Response

200Successful response
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits